/**
 * An element which displays a dialog with the public SSH keycredentials for a trigger.
 */
angular.module('quay').directive('sshKeyDialog', function () {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/ssh-key-dialog.html',
    replace: false,
    transclude: true,
    restrict: 'C',
    scope: {
      'trigger': '=trigger',
      'counter': '=counter'
    },
    controller: function($scope, $element) {
      var show = function() {
        if (!$scope.trigger) {
          $('#sshkeymodal').modal('hide');
          return;
        }
        $('#sshkeymodal').modal({});
      };

      $scope.$watch('trigger', show);
      $scope.$watch('counter', show);
    }
  };
  return directiveDefinitionObject;
});
